# RPM specfile for libIDL module
# Generated Mon Sep 29 20:20:46 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.14.2.1 2003/09/29 20:04:10 mibarra Exp $

%define nam	libIDL
%define ver	0.8.2
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2

Name:     	libIDL
Version: 	0.8.2
Release:	0.ximian.6.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

Source0:	libIDL-0.8.2.tar.bz2
Summary:	Library for parsing IDL (Interface Definition Language)
Group:		System Environment/Libraries
Provides:	ximian-libIDL = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	libIDL-devel < 0.8.2-0.ximian.6.2
Conflicts:	libIDL-devel > 0.8.2-0.ximian.6.2

%description
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/lib/lib*.so.*


%post
ldconfig

%postun
ldconfig

%package -n libIDL-devel
Summary:	Development libraries and header files for libIDL
Group:		Development/Libraries
Requires:	libIDL = 0.8.2-0.ximian.6.2
Requires:	glib2-devel
Provides:	ximian-libIDL-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libIDL-devel
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

This package contains the header files and libraries needed to write
or compile programs that use libIDL.

%files -n libIDL-devel
%defattr(-, root, root)
/usr/lib/lib*a
/usr/bin/libIDL-config-2
/usr/share/info/*.info*
/usr/include/*
/usr/lib/lib*.so
/usr/lib/pkgconfig/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libIDL-0.8.2
    ;;
all)
%setup  -q -n libIDL-0.8.2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Sep 29 2003 Ximian, Inc.

- Version: 0.8.2-0.ximian.6.2
- Summary: New build.
- New automated build.

* Sun May 25 2003 Ximian, Inc.

- Version: 0.8.1-0.ximian.6.1
- Summary: New build.
- New automated build.

* Thu Apr 24 2003 Ximian, Inc.

- Version: 0.8.0-7.ximian.2
- Summary: New build.
- New automated build.

